%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Course: ECE438
%name: Yang Zhu
%last updated Date: 2011/12/4
%Description:Similarity analysis of pictures, calculation R2 base on
%slope
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
clc
close all
% % % % % % % % % % % % % % % % % % 
chair1_hist_slope = calc_hist(chair1_slope,170);
chair2_hist_slope = calc_hist(chair2_slope,170);
chair3_hist_slope = calc_hist(chair3_slope,170);

computer1_hist_slope = calc_hist(computer1_slope,170);
computer2_hist_slope = calc_hist(computer2_slope,170);

student1_hist_slope = calc_hist(student1_slope,170);
student2_hist_slope = calc_hist(student2_slope,170);

yimin1_hist_slope = calc_hist(yimin1_slope,170);
yimin2_hist_slope = calc_hist(yimin2_slope,170);
% % % % % % % % % % % % % % % % % % 


% % % set chair 1 as reference% % % % 
r_chair1_chair1 = corrcoef(chair1_hist_slope,chair1_hist_slope);
r_chair1_chair2 = corrcoef(chair1_hist_slope,chair2_hist_slope);
r_chair1_chair3 = corrcoef(chair1_hist_slope,chair3_hist_slope);
r_chair1_computer1 = corrcoef(chair1_hist_slope,computer1_hist_slope);
r_chair1_computer2 = corrcoef(chair1_hist_slope,computer2_hist_slope);
r_chair1_student1 = corrcoef(chair1_hist_slope,student1_hist_slope);
r_chair1_student2 = corrcoef(chair1_hist_slope,student2_hist_slope);
r_chair1_yimin1 = corrcoef(chair1_hist_slope,yimin1_hist_slope);
r_chair1_yimin2 = corrcoef(chair1_hist_slope,yimin2_hist_slope);

r_chair1 = [r_chair1_chair1(1,2) r_chair1_chair2(1,2) r_chair1_chair3(1,2) r_chair1_computer1(1,2) r_chair1_computer2(1,2) r_chair1_student1(1,2) r_chair1_student2(1,2) r_chair1_yimin1(1,2) r_chair1_yimin2(1,2)];
r2_chair1 = r_chair1.^2


% % % set chair 2 as reference% % % % 
r_chair2_chair1 = corrcoef(chair2_hist_slope,chair1_hist_slope);
r_chair2_chair2 = corrcoef(chair2_hist_slope,chair2_hist_slope);
r_chair2_chair3 = corrcoef(chair2_hist_slope,chair3_hist_slope);
r_chair2_computer1 = corrcoef(chair2_hist_slope,computer1_hist_slope);
r_chair2_computer2 = corrcoef(chair2_hist_slope,computer2_hist_slope);
r_chair2_student1 = corrcoef(chair2_hist_slope,student1_hist_slope);
r_chair2_student2 = corrcoef(chair2_hist_slope,student2_hist_slope);
r_chair2_yimin1 = corrcoef(chair2_hist_slope,yimin1_hist_slope);
r_chair2_yimin2 = corrcoef(chair2_hist_slope,yimin2_hist_slope);

r_chair2 = [r_chair2_chair1(1,2) r_chair2_chair2(1,2) r_chair2_chair3(1,2) r_chair2_computer1(1,2) r_chair2_computer2(1,2) r_chair2_student1(1,2) r_chair2_student2(1,2) r_chair2_yimin1(1,2) r_chair2_yimin2(1,2)];
r2_chair2 = r_chair2.^2


% % % set chair 3 as reference% % % % 
r_chair3_chair1 = corrcoef(chair3_hist_slope,chair1_hist_slope);
r_chair3_chair2 = corrcoef(chair3_hist_slope,chair2_hist_slope);
r_chair3_chair3 = corrcoef(chair3_hist_slope,chair3_hist_slope);
r_chair3_computer1 = corrcoef(chair3_hist_slope,computer1_hist_slope);
r_chair3_computer2 = corrcoef(chair3_hist_slope,computer2_hist_slope);
r_chair3_student1 = corrcoef(chair3_hist_slope,student1_hist_slope);
r_chair3_student2 = corrcoef(chair3_hist_slope,student2_hist_slope);
r_chair3_yimin1 = corrcoef(chair3_hist_slope,yimin1_hist_slope);
r_chair3_yimin2 = corrcoef(chair3_hist_slope,yimin2_hist_slope);

r_chair3 = [r_chair3_chair1(1,2) r_chair3_chair2(1,2) r_chair3_chair3(1,2) r_chair3_computer1(1,2) r_chair3_computer2(1,2) r_chair3_student1(1,2) r_chair3_student2(1,2) r_chair3_yimin1(1,2) r_chair3_yimin2(1,2)];
r2_chair3 = r_chair3.^2


% % % set computer1 as reference% % % % 
r_computer1_chair1 = corrcoef(computer1_hist_slope,chair1_hist_slope);
r_computer1_chair2 = corrcoef(computer1_hist_slope,chair2_hist_slope);
r_computer1_chair3 = corrcoef(computer1_hist_slope,chair3_hist_slope);
r_computer1_computer1 = corrcoef(computer1_hist_slope,computer1_hist_slope);
r_computer1_computer2 = corrcoef(computer1_hist_slope,computer2_hist_slope);
r_computer1_student1 = corrcoef(computer1_hist_slope,student1_hist_slope);
r_computer1_student2 = corrcoef(computer1_hist_slope,student2_hist_slope);
r_computer1_yimin1 = corrcoef(computer1_hist_slope,yimin1_hist_slope);
r_computer1_yimin2 = corrcoef(computer1_hist_slope,yimin2_hist_slope);

r_computer1 = [r_computer1_chair1(1,2) r_computer1_chair2(1,2) r_computer1_chair3(1,2) r_computer1_computer1(1,2) r_computer1_computer2(1,2) r_computer1_student1(1,2) r_computer1_student2(1,2) r_computer1_yimin1(1,2) r_computer1_yimin2(1,2)];
r2_computer1 = r_computer1.^2


% % % set computer2 as reference% % % % 
r_computer2_chair1 = corrcoef(computer2_hist_slope,chair1_hist_slope);
r_computer2_chair2 = corrcoef(computer2_hist_slope,chair2_hist_slope);
r_computer2_chair3 = corrcoef(computer2_hist_slope,chair3_hist_slope);
r_computer2_computer1 = corrcoef(computer2_hist_slope,computer1_hist_slope);
r_computer2_computer2 = corrcoef(computer2_hist_slope,computer2_hist_slope);
r_computer2_student1 = corrcoef(computer2_hist_slope,student1_hist_slope);
r_computer2_student2 = corrcoef(computer2_hist_slope,student2_hist_slope);
r_computer2_yimin1 = corrcoef(computer2_hist_slope,yimin1_hist_slope);
r_computer2_yimin2 = corrcoef(computer2_hist_slope,yimin2_hist_slope);

r_computer2 = [r_computer2_chair1(1,2) r_computer2_chair2(1,2) r_computer2_chair3(1,2) r_computer2_computer1(1,2) r_computer2_computer2(1,2) r_computer2_student1(1,2) r_computer2_student2(1,2) r_computer2_yimin1(1,2) r_computer2_yimin2(1,2)];
r2_computer2 = r_computer2.^2


% % % set student1 as reference% % % % 
r_student1_chair1 = corrcoef(student1_hist_slope,chair1_hist_slope);
r_student1_chair2 = corrcoef(student1_hist_slope,chair2_hist_slope);
r_student1_chair3 = corrcoef(student1_hist_slope,chair3_hist_slope);
r_student1_computer1 = corrcoef(student1_hist_slope,computer1_hist_slope);
r_student1_computer2 = corrcoef(student1_hist_slope,computer2_hist_slope);
r_student1_student1 = corrcoef(student1_hist_slope,student1_hist_slope);
r_student1_student2 = corrcoef(student1_hist_slope,student2_hist_slope);
r_student1_yimin1 = corrcoef(student1_hist_slope,yimin1_hist_slope);
r_student1_yimin2 = corrcoef(student1_hist_slope,yimin2_hist_slope);

r_student1 = [r_student1_chair1(1,2) r_student1_chair2(1,2) r_student1_chair3(1,2) r_student1_computer1(1,2) r_student1_computer2(1,2) r_student1_student1(1,2) r_student1_student2(1,2) r_student1_yimin1(1,2) r_student1_yimin2(1,2)];
r2_student1 = r_student1.^2

% % % set student2 as reference% % % % 
r_student2_chair1 = corrcoef(student2_hist_slope,chair1_hist_slope);
r_student2_chair2 = corrcoef(student2_hist_slope,chair2_hist_slope);
r_student2_chair3 = corrcoef(student2_hist_slope,chair3_hist_slope);
r_student2_computer1 = corrcoef(student2_hist_slope,computer1_hist_slope);
r_student2_computer2 = corrcoef(student2_hist_slope,computer2_hist_slope);
r_student2_student1 = corrcoef(student2_hist_slope,student1_hist_slope);
r_student2_student2 = corrcoef(student2_hist_slope,student2_hist_slope);
r_student2_yimin1 = corrcoef(student2_hist_slope,yimin1_hist_slope);
r_student2_yimin2 = corrcoef(student2_hist_slope,yimin2_hist_slope);

r_student2 = [r_student2_chair1(1,2) r_student2_chair2(1,2) r_student2_chair3(1,2) r_student2_computer1(1,2) r_student2_computer2(1,2) r_student2_student1(1,2) r_student2_student2(1,2) r_student2_yimin1(1,2) r_student2_yimin2(1,2)];
r2_student2 = r_student2.^2


% % % set yimin1 as reference% % % % 
r_yimin1_chair1 = corrcoef(yimin1_hist_slope,chair1_hist_slope);
r_yimin1_chair2 = corrcoef(yimin1_hist_slope,chair2_hist_slope);
r_yimin1_chair3 = corrcoef(yimin1_hist_slope,chair3_hist_slope);
r_yimin1_computer1 = corrcoef(yimin1_hist_slope,computer1_hist_slope);
r_yimin1_computer2 = corrcoef(yimin1_hist_slope,computer2_hist_slope);
r_yimin1_student1 = corrcoef(yimin1_hist_slope,student1_hist_slope);
r_yimin1_student2 = corrcoef(yimin1_hist_slope,student2_hist_slope);
r_yimin1_yimin1 = corrcoef(yimin1_hist_slope,yimin1_hist_slope);
r_yimin1_yimin2 = corrcoef(yimin1_hist_slope,yimin2_hist_slope);

r_yimin1 = [r_yimin1_chair1(1,2) r_yimin1_chair2(1,2) r_yimin1_chair3(1,2) r_yimin1_computer1(1,2) r_yimin1_computer2(1,2) r_yimin1_student1(1,2) r_yimin1_student2(1,2) r_yimin1_yimin1(1,2) r_yimin1_yimin2(1,2)];
r2_yimin1 = r_yimin1.^2


% % % set yimin2 as reference% % % % 
r_yimin2_chair1 = corrcoef(yimin2_hist_slope,chair1_hist_slope);
r_yimin2_chair2 = corrcoef(yimin2_hist_slope,chair2_hist_slope);
r_yimin2_chair3 = corrcoef(yimin2_hist_slope,chair3_hist_slope);
r_yimin2_computer1 = corrcoef(yimin2_hist_slope,computer1_hist_slope);
r_yimin2_computer2 = corrcoef(yimin2_hist_slope,computer2_hist_slope);
r_yimin2_student1 = corrcoef(yimin2_hist_slope,student1_hist_slope);
r_yimin2_student2 = corrcoef(yimin2_hist_slope,student2_hist_slope);
r_yimin2_yimin1 = corrcoef(yimin2_hist_slope,yimin1_hist_slope);
r_yimin2_yimin2 = corrcoef(yimin2_hist_slope,yimin2_hist_slope);

r_yimin2 = [r_yimin2_chair1(1,2) r_yimin2_chair2(1,2) r_yimin2_chair3(1,2) r_yimin2_computer1(1,2) r_yimin2_computer2(1,2) r_yimin2_student1(1,2) r_yimin2_student2(1,2) r_yimin2_yimin1(1,2) r_yimin2_yimin2(1,2)];
r2_yimin2 = r_yimin2.^2



% % % % % % % % % % % % % % % % % % % % % % % 
% r2_chair1 = 
%   1.0000  0.9976  0.9830  0.4551  0.6811  0.3968  0.3792  0.457  0.7510
% 
% r2_chair2 =
%   0.9976  1.0000  0.9917  0.4156  0.6403  0.3689  0.3506  0.4176  0.7125
% 
% r2_chair3 =
%   0.9830  0.9917  1.0000  0.3695  0.5808  0.3344  0.3154  0.3727  0.6562
% 
% r2_computer1 = 
%   0.4551  0.4156  0.3695  1.0000  0.9320  0.9100  0.9186  0.9965  0.8947
% 
% r2_computer2 = 
%   0.6811  0.6403  0.5808  0.9320  1.0000  0.8198  0.8195  0.9269  0.9914
%  
% r2_student1 =
%   0.3968  0.3689  0.3344  0.9100  0.8198  1.0000  0.9991  0.8847  0.7694
% 
% r2_student2 =
%   0.3792  0.3506  0.3154  0.9186  0.8195  0.9991  1.0000  0.8943  0.7667
% 
% r2_yimin1 =
%   0.4572  0.4176  0.3727  0.9965  0.9269  0.8847  0.8943  1.0000  0.8958
%  
% r2_yimin2 =
%   0.3792  0.3506  0.3154  0.9186  0.8195  0.9991  0.7667  0.8943  1.0000


